Page MenuHomePhabricator

link cards aren't shown when selecting text in the target that doesn't exist as a link neither in source nor in target
Closed, ResolvedPublic1 Story Points

Description

To reproduce, translate from English to Catalan and try the following:

  1. type the text "theresdefinitelynosucharticle" in the translation column and select it. Observed: no link cards are shown. Expected: show a red link card for linking to "theresdefinitelynosucharticle" in Catalan.
  2. type the text "Llotja de Mar" (an article that exists in Catalan, but not in English) and select it. Observed: a link to Catalan is shown, and a link to add this link to English is shown (this is, essentially, T102115).
  3. type the text "John Scarne" (an article that exists in English, but not in Catalan) and select it. Observed: a link card to English is shown and a "missing link" to Catalan is shown. As far as Catalan goes, this is correct, and this proves that selecting text can work when an article with this link exists in the source languages. The English card with a link to John Scarne probably ''shouldn't'' be shown, according to what @Pginer-WMF says in T102116, because we cannot know what is the corresponding concept in English.

Event Timeline

Amire80 created this task.Jun 11 2015, 2:06 PM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 2:06 PM
Amire80 updated the task description. (Show Details)Jun 11 2015, 2:06 PM
Amire80 set Security to None.
Amire80 added a subscriber: Pginer-WMF.
santhosh claimed this task.Jun 15 2015, 4:37 AM
santhosh moved this task from Backlog to In Review on the LE-Sprint-88 board.
santhosh edited a custom field.

Change 217840 had a related patch set uploaded (by Santhosh):
Misc link tool fixes

https://gerrit.wikimedia.org/r/217840

Unable to test 2 because Mazoni does exist in English as well.

Unable to test 2 because Mazoni does exist in English as well.

You can try Allipebre instead

So 1 and 2 work as expected in the linked patch.

Change 217840 merged by jenkins-bot:
Misc link tool fixes

https://gerrit.wikimedia.org/r/217840

Amire80 moved this task from In Review to Done on the LE-Sprint-88 board.Jun 17 2015, 3:55 PM
Amire80 updated the task description. (Show Details)Jun 17 2015, 4:00 PM

1 and 2 are fixed, 3 can be handled separately in T102116.